Bug 497583 - rhcs80beta web wizard tps - menu highlight and label typo
rhcs80beta web wizard tps - menu highlight and label typo
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-04-24 16:45 EDT by Marc Sauton
Modified: 2015-01-05 20:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (27.16 KB, patch)
2009-05-20 11:13 EDT, Ade Lee
no flags Details | Diff

  None (edit)
Description Marc Sauton 2009-04-24 16:45:34 EDT
Description of problem:

In the rhcs80beta web configuration wizard for tps:

- the left frame menu is not updated with the current panel name highlighted as with other instances

- panel "Subject Names", the grey'ed string/label for the signing certificate is incorrect (same as subsystem certificate)


Version-Release number of selected component (if applicable):

pki-tps-8.0.0-18.beta


How reproducible:

probably always


Steps to Reproduce:
1. yum install
2. browse to web configuration wizard

  
Actual results:


Expected results:


Additional info:
Comment 1 Ade Lee 2009-05-20 11:13:17 EDT
Created attachment 344826 [details]
patch to fix

mharmsen, please review.

The typo has already been fixed.  This is a fix for the menu highlighting - fixed along the same lines as the java subsystems.

A separate bug will need to be filed for the RA.
Comment 3 Matthew Harmsen 2009-05-20 14:22:07 EDT
attachment (id=344826) +mharmsen

CAVEATS:
* Could you confirm whether or not we need BOTH "preop.ModulePanel.done" AND
  "preop.modulepanel.done"?
* Could you confirm whether or not we need BOTH "preop.SizePanel.done" AND
  "preop.sizepanel.done"?

Please file the RA bug for this issue, and apply these changes soon so that they do not get lost.
Comment 5 Ade Lee 2009-05-20 21:44:18 EDT
[builder@dhcp231-124 dogtag]$ svn ci -m "Bugzilla Bug #497583 -  web wizard tps - menu highlight and label typo" tps-ui tps
Sending        tps/pki-tps.spec
Sending        tps-ui/dogtag-pki-tps-ui.spec
Sending        tps-ui/shared/docroot/tps/admin/console/config/wizard.vm
Transmitting file data ...
Committed revision 483.
[builder@dhcp231-124 dogtag]$ cd ..
[builder@dhcp231-124 pki]$ svn ci -m "Bugzilla Bug #497583 -  web wizard tps - menu highlight and label typo" base/tps/
Sending        base/tps/doc/CS.cfg
Sending        base/tps/lib/perl/PKI/TPS/AdminAuthPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/AdminPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/AgentAuthPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/AuthDBPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/CAInfoPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/CertPrettyPrintPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/CertRequestPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/ConfigHSMLoginPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/ConfigHSMPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/DRMInfoPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/DatabasePanel.pm
Sending        base/tps/lib/perl/PKI/TPS/DisplayCertChain2Panel.pm
Sending        base/tps/lib/perl/PKI/TPS/DisplayCertChainPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/DonePanel.pm
Sending        base/tps/lib/perl/PKI/TPS/ImportAdminCertPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/LoginPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/ModulePanel.pm
Sending        base/tps/lib/perl/PKI/TPS/NamePanel.pm
Sending        base/tps/lib/perl/PKI/TPS/SecurityDomainPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/SizePanel.pm
Sending        base/tps/lib/perl/PKI/TPS/SubsystemTypePanel.pm
Sending        base/tps/lib/perl/PKI/TPS/TKSInfoPanel.pm
Sending        base/tps/lib/perl/PKI/TPS/WelcomePanel.pm
Transmitting file data ........................
Committed revision 484.
Comment 7 Kashyap Chamarthy 2009-07-04 11:25:01 EDT
Verified. No typo at "Subject Names" panel. All cert names were appropriate

Note You need to log in before you can comment on or make changes to this bug.